package main;
/**
 * Rock 'n' Roll Band.
 * 
 * @author All of Us 
 * @version 09.10.2007.
 */
public class Band {

    private int numberOfPlayers;
    private String name;
    private Musician [] musician;
    
//    public Band(String name, int n) {
    public Band(String name, int numberOfPlayers) {
//        this.numberOfPlayers = name;  // only when you are on LSD
        this.numberOfPlayers = numberOfPlayers;
        this.name = name;
    }
    
    public Band(String name, int numberOfPlayers, Musician [] musician) {
//        this.numberOfPlayers = name;  // only when you are on LSD
        this.numberOfPlayers = numberOfPlayers;
        this.name = name;
//         this.musician = new Musician[numberOfPlayers];
//         for (int i = 0; i < numberOfPlayers; i++) {
//             this.musician[i] = musician[i];
//         }
        this.musician = musician;
    }
    
    public int getNumberOfPlayers() {
        return numberOfPlayers;
    }
    
    public void setNumberOfPlayers(int n) throws NumberOfPlayersException {
    	if (n > 15) {
    		throw new NumberOfPlayersException("No, no, too many.");
    	} else 
    		numberOfPlayers = n;
    }
    
    public String getName() {
        return this.name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
}
